- Qt 6.7
- Qt Core
- C++ Classes
- SystemId
- Qt 6.7.0 Reference Documentation

# SystemId Class

class QCalendar::SystemId

This class was introduced in Qt 6.2.

- List of all members, including inherited members

## Public Functions

bool | isValid() const

## Detailed Description

This is an opaque type used to identify custom calendar implementations. The only supported source for values of this type is the backend's `calendarId()` method. A value of this type whose isValid() is false does not identify a successfully-registered backend. The only valid consumer of values of this type is a QCalendar constructor, which will only produce a valid QCalendar instance if the ID passed to it is valid.

See also QCalendar and QCalendar::System.

## Member Function Documentation

### `[constexpr noexcept]` bool SystemId::isValid() const

Returns `true` if this is a valid calendar implementation identifier, `false` otherwise.

See also QCalendar.